<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity VehicleSalesOrder.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="vehicle_sales_order"
                                 constraintName="fk_vehicle_sales_order_internal_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idcustomer"
                                 baseTableName="vehicle_sales_order"
                                 constraintName="fk_vehicle_sales_order_customer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="customer"/>

        <addForeignKeyConstraint baseColumnNames="idbillto"
                                 baseTableName="vehicle_sales_order"
                                 constraintName="fk_vehicle_sales_order_bill_to_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="bill_to"/>

    </changeSet>
</databaseChangeLog>
